# class KFileDetailView |
Definition | `#include <kfiledetailview.h>`
Inherits | KFileView [public ], KListView (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFileDetailView (QWidget *parent, const char *name)
- virtual ~KFileDetailView ()
- virtual QWidget * widget ()
- virtual void clearView ()
- virtual void setAutoUpdate ( bool )
- virtual void setSelectionMode ( KFile::SelectionMode sm )
- virtual void updateView ( bool )
- virtual void updateView (const KFileViewItem*)
- virtual void removeItem ( const KFileViewItem *)
- virtual void setSelected (const KFileViewItem *, bool)
- virtual bool isSelected (const KFileViewItem *i) const
- virtual void clearSelection ()
- virtual void insertItem ( KFileViewItem *i )
- void setSorting ( QDir::SortSpec )
- void sortReversed ()
- void ensureItemVisible ( const KFileViewItem * )

#### Protected Methods

- void setSortIndicator ()

#### Protected Slots

- void slotSelectionChanged ()

#### Protected Members

- QListViewItem *myLastItem

## Detailed Description

KFileDetailView (QWidget *parent, const char *name) | ### KFileDetailView

~KFileDetailView () | ### ~KFileDetailView

[virtual]

QWidget * widget () | ### widget

[virtual]

Reimplemented from KFileView.

void clearView () | ### clearView

[virtual]

Reimplemented from KFileView.

void setAutoUpdate ( bool ) | ### setAutoUpdate

[virtual]

void setSelectionMode ( KFile::SelectionMode sm ) | ### setSelectionMode

[virtual]

Reimplemented from KFileView.

void updateView ( bool ) | ### updateView

[virtual]

Reimplemented from KFileView.

void updateView (const KFileViewItem*) | ### updateView

[virtual]

Reimplemented from KFileView.

void removeItem ( const KFileViewItem *) | ### removeItem

[virtual]

Reimplemented from KFileView.

void setSelected (const KFileViewItem *, bool) | ### setSelected

[virtual]

Reimplemented from KFileView.

bool isSelected (const KFileViewItem *i) | ### isSelected

[const virtual]

Reimplemented from KFileView.

void clearSelection () | ### clearSelection

[virtual]

Reimplemented from KFileView.

void insertItem ( KFileViewItem *i ) | ### insertItem

[virtual]

Reimplemented from KFileView.

void setSorting ( QDir::SortSpec ) | ### setSorting

Reimplemented from KFileView.

void sortReversed () | ### sortReversed

Reimplemented from KFileView.

void ensureItemVisible ( const KFileViewItem * ) | ### ensureItemVisible

Reimplemented from KFileView.

void setSortIndicator () | ### setSortIndicator

[protected]

QListViewItem * myLastItem | ### myLastItem

[protected]

void slotSelectionChanged () | ### slotSelectionChanged

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.